version: 1
name: Build/boot duration of the Linux kernel
description: Build and QEMU boot duration of the Linux kernel with clang
jobs:
- name: arm64-defconfig
  builds:
    # build 1
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 0fa7ea00fc309a04841ccdd290f75a8d1f53ba0f3ca09ee39bfdde7f593ae21a, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 0fa7ea00fc309a04841ccdd290f75a8d1f53ba0f3ca09ee39bfdde7f593ae21a, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 0fa7ea00fc309a04841ccdd290f75a8d1f53ba0f3ca09ee39bfdde7f593ae21a, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 0fa7ea00fc309a04841ccdd290f75a8d1f53ba0f3ca09ee39bfdde7f593ae21a, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 0fa7ea00fc309a04841ccdd290f75a8d1f53ba0f3ca09ee39bfdde7f593ae21a, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 0fa7ea00fc309a04841ccdd290f75a8d1f53ba0f3ca09ee39bfdde7f593ae21a, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 0fa7ea00fc309a04841ccdd290f75a8d1f53ba0f3ca09ee39bfdde7f593ae21a, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 0fa7ea00fc309a04841ccdd290f75a8d1f53ba0f3ca09ee39bfdde7f593ae21a, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 0fa7ea00fc309a04841ccdd290f75a8d1f53ba0f3ca09ee39bfdde7f593ae21a, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 0fa7ea00fc309a04841ccdd290f75a8d1f53ba0f3ca09ee39bfdde7f593ae21a, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
  test:
      device: qemu-arm64
